# This file created by conda-build 3.23.3
# meta.yaml template originally from:
# /home/conda/recipe_root, last modified Fri Dec 16 08:27:49 2022
# ------------------------------------------------

package:
  name: cffi
  version: 1.15.1
source:
  patches:
    - 0001-Link-to-dl-library.patch
    - 0002-setup-linux.patch
  sha256: d400bfb9a37b1351253cb402671cea7e89bdecc294e8016a707f6d1d8ac934f9
  url: https://pypi.io/packages/source/c/cffi/cffi-1.15.1.tar.gz
build:
  number: '3'
  script: /home/conda/feedstock_root/build_artifacts/cffi_1671179353105/_h_env_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placeh/bin/python
    -m pip install . -vv
  string: py310h255011f_3
requirements:
  build:
    - _libgcc_mutex 0.1 conda_forge
    - _openmp_mutex 4.5 2_gnu
    - binutils_impl_linux-64 2.39 he00db2b_1
    - binutils_linux-64 2.39 h5fc0e48_11
    - gcc_impl_linux-64 10.4.0 h5231bdf_19
    - gcc_linux-64 10.4.0 h9215b83_11
    - kernel-headers_linux-64 2.6.32 he073ed8_15
    - ld_impl_linux-64 2.39 hcc3a1bd_1
    - libgcc-devel_linux-64 10.4.0 hd38fd1e_19
    - libgcc-ng 12.2.0 h65d4601_19
    - libgomp 12.2.0 h65d4601_19
    - libsanitizer 10.4.0 h5246dfb_19
    - libstdcxx-ng 12.2.0 h46fd767_19
    - patch 2.7.6 h7f98852_1002
    - sysroot_linux-64 2.12 he073ed8_15
  host:
    - _libgcc_mutex 0.1 conda_forge
    - _openmp_mutex 4.5 2_gnu
    - bzip2 1.0.8 h7f98852_4
    - ca-certificates 2022.12.7 ha878542_0
    - ld_impl_linux-64 2.39 hcc3a1bd_1
    - libffi 3.4.2 h7f98852_5
    - libgcc-ng 12.2.0 h65d4601_19
    - libgomp 12.2.0 h65d4601_19
    - libnsl 2.0.0 h7f98852_0
    - libsqlite 3.40.0 h753d276_0
    - libuuid 2.32.1 h7f98852_1000
    - libzlib 1.2.13 h166bdaf_4
    - ncurses 6.3 h27087fc_1
    - openssl 3.0.7 h0b41bf4_1
    - pip 22.3.1 pyhd8ed1ab_0
    - pycparser 2.21 pyhd8ed1ab_0
    - python 3.10.8 h4a9ceb5_0_cpython
    - readline 8.1.2 h0f457ee_0
    - setuptools 65.5.1 pyhd8ed1ab_0
    - tk 8.6.12 h27826a3_0
    - tzdata 2022g h191b570_0
    - wheel 0.38.4 pyhd8ed1ab_0
    - xz 5.2.6 h166bdaf_0
  run:
    - libffi >=3.4,<4.0a0
    - libgcc-ng >=12
    - pycparser
    - python >=3.10,<3.11.0a0
    - python_abi 3.10.* *_cp310
test:
  commands:
    - pip check
  imports:
    - _cffi_backend
    - cffi
  requires:
    - openssl
    - pip
about:
  description: 'Cffi aims to allow users to call C code from Python without having
    to

    learn a 3rd language. It provides a convenient and reliable way to call

    compiled C code from Python using interface declarations written in C.

    '
  dev_url: https://bitbucket.org/cffi/cffi/overview
  doc_source_url: https://bitbucket.org/cffi/cffi/src/default/doc/?at=default
  doc_url: http://cffi.readthedocs.org
  home: https://bitbucket.org/cffi/cffi
  license: MIT
  license_file: LICENSE
  summary: Foreign Function Interface for Python calling C code.
extra:
  copy_test_source_files: true
  final: true
  recipe-maintainers:
    - goanpeca
    - katietz
    - mingwandroid
    - ocefpaf
